# Contributing to Twbs Less Rails

Looking to contribute something to Twbs Less Rails? **Here's how you can help.**



## Reporting issues

We only accept issues that are bug reports or feature requests. Bugs must be isolated and reproducible problems that we can fix within the Twbs Less Rails core. Please read the following guidelines before opening any issue.

1. **Search for existing issues.**
2. **Create an isolated and reproducible test case.**
3. **Include a live example if possible.**
4. **Share as much information as possible.** Include at least Rails version and gem version. Also include steps to reproduce the bug.



## Key branches

- `master` is the latest, deployed version. **Never make pull requests against this branch.**
- `develop` is the official development branch for the next release.

Take a look at [git-flow, A successful Git branching model](http://nvie.com/posts/a-successful-git-branching-model/)



## Pull requests

- Try to submit pull requests against the `develop` branch for easier merging
- Try not to pollute your pull request with unintended changes--keep them simple and small
- **Test. Code coverage should never go below 100%.** If you find a bug, write at first a failing test case and then fix it.



## Coding standards

### Ruby

- [Ruby Styleguide](https://github.com/styleguide/ruby)



## License

By contributing your code, you agree to license your contribution under the terms of the [BSD 2-Clause License](LICENSE)
